%define upstream_name    Dist-Zilla-Plugin-StaticVersion
%define upstream_version 0.103521

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 11

Summary:    Specify version number manually, using a plugin
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Dist::Zilla::Role::VersionProvider)
BuildRequires: perl(English)
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Temp)
BuildRequires: perl(Moose)
BuildRequires: perl(MooseX::Has::Sugar)
BuildRequires: perl(MooseX::Types::Moose)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::More)
BuildRequires: perl(utf8)
BuildArch: noarch

%description
This purpose of this plugin is to allow plugin bundles or other such things
to specify a specific version number. This allows one to write a
pluginbundle that decides based on its configuration whether to offer a
specific version number. You could not otherwise do this, because a static
version number is specified before any plugins in _dist.ini_.

You shouldn't need to use this plugin directly in your _dist.ini_.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc README Changes LICENSE META.yml
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Sun Mar 20 2022 umeabot <umeabot> 0.103.521-11.mga9
+ Revision: 1803387
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.103.521-10.mga8
+ Revision: 1494394
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.103.521-9.mga7
+ Revision: 1267563
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.103.521-8.mga6
+ Revision: 1026579
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.103.521-7.mga6
+ Revision: 949167
- Mageia 6 Mass Rebuild

* Sun Oct 19 2014 umeabot <umeabot> 0.103.521-6.mga5
+ Revision: 789263
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.103.521-5.mga5
+ Revision: 741430
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.103.521-3.mga4
+ Revision: 511132
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.103.521-2.mga3
+ Revision: 366430
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Mar 15 2011 jquelin <jquelin> 0.103.521-1.mga1
+ Revision: 71613
- imported package perl-Dist-Zilla-Plugin-StaticVersion


* Tue Mar 15 2011 cpan2dist 0.103521-1mga
- initial mageia release, generated with cpan2dist
